Page MenuHomePhabricator

FOUC on api.php
Closed, ResolvedPublic

Description

Sometimes I can see the title "MediaWiki API result" in the page
https://pt.wikipedia.org/w/api.php?action=query&meta=siteinfo&siprop=statistics
for a few moments just before it disappears.

This doesn't happens if I disable the JavaScript.

Event Timeline

He7d3r created this task.Nov 29 2014, 6:15 PM
He7d3r raised the priority of this task from to Needs Triage.
He7d3r updated the task description. (Show Details)
He7d3r changed Security from none to None.
He7d3r added a subscriber: He7d3r.

Modules 'mediawiki.apipretty' and probably also 'mediawiki.apihelp' would have to be loaded using addModuleStyles rather than addModules. That would require some rejiggering because the latter has dependencies (and JS dependencies, too).

Krinkle added a subscriber: Krinkle.EditedNov 30 2014, 6:53 PM

No need for addModuleStyles, use position => top.

Change 176690 had a related patch set uploaded (by Anomie):
Avoid FOUC on API help and pretty-printed output

https://gerrit.wikimedia.org/r/176690

Patch-For-Review

Change 176690 merged by jenkins-bot:
Avoid FOUC on API help and pretty-printed output

https://gerrit.wikimedia.org/r/176690

Anomie closed this task as Resolved.Dec 2 2014, 4:08 PM
Anomie claimed this task.

This should be deployed to WMF wikis with 1.25wmf11, see https://www.mediawiki.org/wiki/MediaWiki_1.25/Roadmap for the schedule.